<?php

require(__DIR__. '/../../vendor/autoload.php');

Use GuzzleHttp\Client;

/*
* PHP class SiteSearch to connect to the API of HostingBE
*/

Class SiteSearch {
	protected $settings = array();
	protected $client;

public function __construct(array $settings) {

	$this->settings = $settings;
	$this->client = new Client(['base_uri' => $this->settings['url'] . $this->settings['path'],'timeout'  => 2.0,'http_errors' => false]);
	}

/**
*  execute the ping command
*/
public function ping() {
	$res = $this->client->request('GET','ping');	
	$body =  $res->getBody();
	return json_decode($body->getContents());
}

/**
*  execute the login command with username and password
*/
public function login($username, $password) {
$res = $this->client->request('POST','login',['form_params' => ['username' => $username, 'password' => $password ]]);
$body = $res->getBody();
$data = json_decode($body->getContents());

if (($data->code == 200) && ($data->data->token)) {
   $this->settoken($data->data->token);
   }
return $data;
  }
/**
*  execute the search command with query, website, ip-address and referer
*/
public function search($q, $website,$ip = null,$referer = null) {
$res = $this->client->request('POST','search',['headers' => ['Authorization' => 'Bearer ' . $this->gettoken()],'form_params' => ['q' => $q, 'website' => $website,'ip' => $ip,'referer' => $referer]]);
$body = $res->getBody();
return json_decode($body->getContents());
}

protected function gettoken() {
	return $this->token;
}

 protected function settoken($token) {
	$this->token = $token;
} 
}

?>
